0 Replies Latest reply on Oct 30, 2018 7:27 AM by Ashwinkumar Maranabasari

    Apache Felix 3.2.6 framework Comparability Issue

    Ashwinkumar Maranabasari Newbie

      "Jboss-fuse-karaf-6.3.0.redhat-187 version throws an error like a compatibility problem with Apache Felix 3.2.6 framework.

      Currently, we are generating OSGi bundle file using Apache Felix framework version 3.2.6 which we are unable to find proper dependency( Features).

      Below is the error for reference.

       

      ERROR'S

       

      1. org.apache.felix.framework.ServiceRegistrationImpl.getFactoryUnchecked(ServiceRegistrationImpl.java:353)[org.apache.felix.framework-4.4.1.jar:

      2. org.apache.felix.scr.impl.helper.BindMethod.getServiceObject(BindMethod.java:572)[54:org.apache.felix.scr:1.8.2](Resovled with latest Patch)

      3. org.apache.felix.scr.impl.manager.DependencyManager.getServiceObject(DependencyManager.java:2012)[54:org.apache.felix.scr:1.8.2]

      4. org.apache.felix.framework.util.EventDispatcher.invokeServiceListenerCallback(EventDispatcher.java:943)[org.apache.felix.framework-4.4.1.jar:]

      5. org.apache.felix.scr.impl.manager.AbstractComponentManager$3.register(AbstractComponentManager.java:1003)[54:org.apache.felix.scr:1.8.2]

      6. org.apache.felix.framework.util.EventDispatcher.invokeServiceListenerCallback(EventDispatcher.java:943)[org.apache.felix.framework-4.4.1.jar:]

       

      WARNING'S

       

      1. org.apache.felix.framework.Felix.fireServiceEvent(Felix.java:4445)[org.apache.felix.framework-4.4.1.jar:].
      2. org.apache.felix.framework.BundleContextImpl.registerService(BundleContextImpl.java:346)[org.apache.felix.framework-4.4.1.jar:]